- entityDefinitions:
  - IDM_Product__get__Brand_Name: '{711488f2-eeb2-4cff-9780-db559408d383}'
  - IDMB_Product__get__Brand_Name: '{41c7b109-5eb1-4202-9cb5-a3c724bc0679}'
- library: '&IDL_MochaBaseSystem;'
  instances:
  - getReferencedAttributeMethod: '&IDM_Product__get__Brand_Name;'
    forClassId: '&IDC_Product;'
    returnsAttributeId: '&IDA_Name;'
    verb: 'get'
    name: 'Brand Name'
    accessModifierId: '&IDI_AccessModifier_RootA2;'
    referenceInstanceSet: '&IDMB_Product__get__Brand;'
    answerAttribute: '&IDMB_Brand__get__Name;'
    singular: yes
    
  - returnAttributeMethodBinding: '&IDMB_Product__get__Brand_Name;'
    executesMethod: '&IDM_Product__get__Brand_Name;'
